## emi-lb-nagios-plugins 1.1.1

=== Makefile ===
top_srcdir=..
stagedir=.
package=emi-lb-nagios-plugins
version=0.0.0
prefix=
INSTALL=install

-include Makefile.inc
-include ${top_srcdir}/project/version.properties

version=${module.version}

all:

install:
	mkdir -p ${DESTDIR}${PREFIX}/var/lib/grid-monitoring/emi.lb
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
	chmod 750 ${DESTDIR}${PREFIX}/var/lib/grid-monitoring/emi.lb
	-chown nagios:nagios ${DESTDIR}${PREFIX}/var/lib/grid-monitoring/emi.lb
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/libexec/grid-monitoring/probes/emi.lb
	${INSTALL} -m 0755 src/LB-probe ${DESTDIR}${PREFIX}${prefix}/libexec/grid-monitoring/probes/emi.lb
	( cd ${top_srcdir}/project && ${INSTALL} -m 644 ChangeLog package.description package.summary ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version} )

stage:
	$(MAKE) install PREFIX=${stagedir}

check:
	@echo "No test"

clean:

distclean:
	rm -rvf Makefile.inc *.spec debian/

.PHONY: all install stage clean check

=== debian/changelog ===
emi-lb-nagios-plugins (1.1.1-4) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 04 May 2012 14:44:29 +0200

=== debian/control ===
Source: emi-lb-nagios-plugins
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.1
Section: net
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: emi-lb-nagios-plugins
Section: net
Architecture: all
Depends: ${misc:Depends}, glite-lb-client-progs, glite-lb-utils, glite-lb-ws-test, globus-proxy-utils
Provides: glite-lb-nagios-plugins
Description: This is a package to distribute a nagios probe that checks the EMI L&B server
 This is a nagios probe, a shell script to check the L&B
 server.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lb.nagios
	touch $@

build: build-indep

build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) clean
	rm -f Makefile.inc config.status
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	mv $(CURDIR)/debian/tmp/usr/share/doc/emi-lb-nagios-plugins-1.1.1 $(CURDIR)/debian/tmp/usr/share/doc/emi-lb-nagios-plugins
	(cd $(CURDIR)/debian/tmp/usr/share/doc/emi-lb-nagios-plugins; \
	 rm -fv ChangeLog LICENSE; \
	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installlogrotate
	dh_installcron
	dh_install --fail-missing
	dh_link
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep

## emi-lb-nagios-plugins 1.2.9

=== Makefile ===
top_srcdir=..
stagedir=.
package=emi-lb-nagios-plugins
version=0.0.0
prefix=
INSTALL=install

default: all

-include Makefile.inc
-include ${top_srcdir}/project/version.properties

version=${module.version}

SOURCES=src/LB-probe Makefile
SOURCES_EXEC=src/LB-probe

all:

install:
	mkdir -p ${DESTDIR}${PREFIX}/var/lib/grid-monitoring/emi.lb
	chmod 750 ${DESTDIR}${PREFIX}/var/lib/grid-monitoring/emi.lb
	-chown nagios:nagios ${DESTDIR}${PREFIX}/var/lib/grid-monitoring/emi.lb
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/libexec/grid-monitoring/probes/emi.lb
	${INSTALL} -m 0755 src/LB-probe ${DESTDIR}${PREFIX}${prefix}/libexec/grid-monitoring/probes/emi.lb

stage:
	$(MAKE) install PREFIX=${stagedir}

check:
	@echo "No test"

clean:
	rm -rvf dist ${package}-*.tar.gz

distclean:
	rm -rvf project/changelog Makefile.inc *.spec debian/

.PHONY: default all install stage clean check distclean dist distcheck

=== debian/changelog ===
emi-lb-nagios-plugins (1.2.9-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Wed, 23 Jan 2013 19:04:55 +0100

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # -*- makefile -*-
 
 -include /usr/share/dpkg/buildflags.mk
+
+p_base=emi-lb-nagios-plugins
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
@@ -27,7 +29,7 @@
 	dh_testroot
 	rm -f configure-stamp build-stamp
 	$(MAKE) clean
-	rm -f Makefile.inc config.status
+	rm -f Makefile.inc config.status *.spec
 	dh_clean
 
 install: build-stamp
@@ -36,15 +38,11 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
-	mv $(CURDIR)/debian/tmp/usr/share/doc/emi-lb-nagios-plugins-1.1.1 $(CURDIR)/debian/tmp/usr/share/doc/emi-lb-nagios-plugins
-	(cd $(CURDIR)/debian/tmp/usr/share/doc/emi-lb-nagios-plugins; \
-	 rm -fv ChangeLog LICENSE; \
-	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)
 
 binary-indep: install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs
+	dh_installchangelogs project/ChangeLog
 	dh_installdocs
 	dh_installexamples
 	dh_installman

## emi-lb-nagios-plugins 1.2.12

=== debian/changelog ===
emi-lb-nagios-plugins (1.2.12-1.git20130805) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 05 Aug 2013 14:53:04 +0200

## emi-lb-nagios-plugins 1.2.13

=== Makefile ===
--- 
+++ 
@@ -12,8 +12,8 @@
 
 version=${module.version}
 
-SOURCES=src/LB-probe Makefile
-SOURCES_EXEC=src/LB-probe
+SOURCES=src/*-probe Makefile
+SOURCES_EXEC=src/*-probe
 
 all:
 
@@ -23,6 +23,7 @@
 	-chown nagios:nagios ${DESTDIR}${PREFIX}/var/lib/grid-monitoring/emi.lb
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/libexec/grid-monitoring/probes/emi.lb
 	${INSTALL} -m 0755 src/LB-probe ${DESTDIR}${PREFIX}${prefix}/libexec/grid-monitoring/probes/emi.lb
+	${INSTALL} -m 0755 src/IL-probe ${DESTDIR}${PREFIX}${prefix}/libexec/grid-monitoring/probes/emi.lb
 
 stage:
 	$(MAKE) install PREFIX=${stagedir}

=== debian/changelog ===
emi-lb-nagios-plugins (1.2.13-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:42 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Package: emi-lb-nagios-plugins
 Section: net
 Architecture: all
-Depends: ${misc:Depends}, glite-lb-client-progs, glite-lb-utils, glite-lb-ws-test, globus-proxy-utils
+Depends: ${misc:Depends}, nagios3-common, glite-lb-client-progs, glite-lb-utils, glite-lb-ws-test, globus-proxy-utils
 Provides: glite-lb-nagios-plugins
 Description: This is a package to distribute a nagios probe that checks the EMI L&B server
  This is a nagios probe, a shell script to check the L&B

=== debian/rules ===
--- 
+++ 
@@ -38,6 +38,7 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+	chmod 0755 $(CURDIR)/debian/tmp/usr/libexec/grid-monitoring/probes/emi.lb
 
 binary-indep: install
 	dh_testdir
@@ -51,7 +52,7 @@
 	dh_install --fail-missing
 	dh_link
 	dh_compress
-	dh_fixperms
+	dh_fixperms -Xusr/libexec/grid-monitoring/probes/emi.lb
 	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps

## emi-lb-nagios-plugins 1.2.15

=== debian/changelog ===
emi-lb-nagios-plugins (1.2.15-1.git20151003) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sat, 03 Oct 2015 10:10:47 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,8 @@
 Standards-Version: 3.9.1
 Section: net
 Homepage: http://glite.cern.ch
-DM-Upload-Allowed: yes
-Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
-Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi
 
 Package: emi-lb-nagios-plugins
-Section: net
 Architecture: all
 Depends: ${misc:Depends}, nagios3-common, glite-lb-client-progs, glite-lb-utils, glite-lb-ws-test, globus-proxy-utils
 Provides: glite-lb-nagios-plugins

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

p_base=emi-lb-nagios-plugins

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --parallel --fail-missing

override_dh_auto_configure: config.status
config.status:
	./configure --root=/ --prefix=/usr --libdir=lib --os-type=debian --project=emi

override_dh_auto_clean: config.status
	make clean

override_dh_clean:
	dh_clean
	rm -vf Makefile.inc config.status *.spec

override_dh_fixperms:
	dh_fixperms
	chmod 0755 debian/$(p_base)/usr/libexec/grid-monitoring/probes/emi.lb

=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lb.nagios/emi-lb-nagios-plugins-(.*)\.tar\.gz
